NXOpen.UF.ModlFeatures.CreateSphere1

ModlFeatures.CreateSphere1()

Refer to UF_MODL_create_sphere1 for documentation.

Signature: CreateSphere1(sign, center, diam)

Parameters:
  • sign (NXOpen.UF.Modl.FeatureSigns Refer to UF_FEATURE_SIGNS for documentation.) – The sign of the operation to be performed. UF_NULLSIGN = create new target solid UF_POSITIVE = add to target solid UF_NEGATIVE = subtract from target solid UF_UNSIGNED = intersect with target solid
  • center (list of float) – Center of sphere to be created.
  • diam (str) – Diameter of sphere to be created.
Returns:

Feature tag of created sphere.

Return type:

Tag

License requirements: SOLIDS MODELING